import { CommonProps } from '@/common/types/props';
import type { Value } from '@/common/types/select';
import type { GridColumns } from './types';
interface Props extends CommonProps {
    columns: GridColumns[];
    showAddButtons?: boolean;
    hasFilter?: boolean;
    query: string;
}
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToOption<Props>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    "update:modelValue": (value: Value) => void;
    "model-value-updated": (value: Value) => void;
    focusin: () => void;
    focusout: () => void;
    keydown: (event: KeyboardEvent) => void;
    search: (query: string) => void;
    sort: (value: string) => void;
    queryUpdate: (value: string) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToOption<Props>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onKeydown?: ((event: KeyboardEvent) => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    "onModel-value-updated"?: ((value: Value) => any) | undefined;
    "onUpdate:modelValue"?: ((value: Value) => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
    onSearch?: ((query: string) => any) | undefined;
    onSort?: ((value: string) => any) | undefined;
    onQueryUpdate?: ((value: string) => any) | undefined;
}, {}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
