import type { GridConfig } from '../types';
export default function useHiveGrid({ columns, dataItems, extensionFields }: GridConfig): {
    items: import("vue").WritableComputedRef<object[]>;
    sort: (field: string) => void;
    deleteRow: (index: number) => void;
    itemsLength: import("vue").Ref<number, number>;
    addRow: (up: boolean, index: number) => void;
    isLoading: import("vue").Ref<boolean, boolean>;
};
