import { NotificationItemWithTimer } from '@/plugins/hive-notification/utils';
import { NotificationItem } from '@/plugins/hive-notification/types';
declare const STATE: {
    readonly IDLE: 0;
    readonly DESTROYED: 2;
};
type NotificationItemState = typeof STATE;
type NotificationItemExtended = NotificationItemWithTimer & {
    state: NotificationItemState[keyof NotificationItemState];
};
declare function __VLS_template(): {
    body?(_: {
        item: NotificationItemExtended;
        close: () => void;
        class: (string | undefined)[];
    }): any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToOption<{
    group?: string;
    width?: string | number;
    reverse?: boolean;
    position?: string | string[];
    classes?: string;
    animationType?: "css" | "velocity";
    animation?: Record<"enter" | "leave", unknown>;
    animationName?: string;
    speed?: number;
    duration?: number;
    delay?: number;
    max?: number;
    ignoreDuplicates?: boolean;
    closeOnClick?: boolean;
    pauseOnHover?: boolean;
    dangerouslySetInnerHtml?: boolean;
}>, {
    group: string;
    width: number;
    reverse: boolean;
    position: string[];
    classes: string;
    animationType: string;
    animation: Record<"enter" | "leave", unknown>;
    animationName: string;
    speed: number;
    duration: number;
    delay: number;
    max: number;
    ignoreDuplicates: boolean;
    closeOnClick: boolean;
    pauseOnHover: boolean;
    dangerouslySetInnerHtml: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (item: NotificationItem) => void;
    start: (item: NotificationItem) => void;
    destroy: (item: NotificationItem) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToOption<{
    group?: string;
    width?: string | number;
    reverse?: boolean;
    position?: string | string[];
    classes?: string;
    animationType?: "css" | "velocity";
    animation?: Record<"enter" | "leave", unknown>;
    animationName?: string;
    speed?: number;
    duration?: number;
    delay?: number;
    max?: number;
    ignoreDuplicates?: boolean;
    closeOnClick?: boolean;
    pauseOnHover?: boolean;
    dangerouslySetInnerHtml?: boolean;
}>, {
    group: string;
    width: number;
    reverse: boolean;
    position: string[];
    classes: string;
    animationType: string;
    animation: Record<"enter" | "leave", unknown>;
    animationName: string;
    speed: number;
    duration: number;
    delay: number;
    max: number;
    ignoreDuplicates: boolean;
    closeOnClick: boolean;
    pauseOnHover: boolean;
    dangerouslySetInnerHtml: boolean;
}>>> & {
    onClick?: ((item: NotificationItem) => any) | undefined;
    onStart?: ((item: NotificationItem) => any) | undefined;
    onDestroy?: ((item: NotificationItem) => any) | undefined;
}, {
    reverse: boolean;
    max: number;
    classes: string;
    width: string | number;
    speed: number;
    group: string;
    duration: number;
    ignoreDuplicates: boolean;
    closeOnClick: boolean;
    position: string | string[];
    animationType: "css" | "velocity";
    animation: Record<"enter" | "leave", unknown>;
    animationName: string;
    delay: number;
    pauseOnHover: boolean;
    dangerouslySetInnerHtml: boolean;
}, {}>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
