import type { CommonProps } from '@/common/types/props';
import type { CssClassConfig } from './types';
interface Props extends CommonProps {
    name?: string;
    row: Record<string, unknown>;
    field?: string;
    fields?: string[];
    editable?: boolean | ((row: Record<string, unknown>) => boolean);
    valueType?: string;
    width?: number | string;
    borderTop?: boolean;
    inEditMode?: boolean;
    cssClass?: CssClassConfig;
}
declare function __VLS_template(): Readonly<{
    edit(props: {
        value: unknown;
        update: (value: unknown) => void;
        isChangeAllowed: boolean;
        toggle: () => void;
        customChange: (value: string, view?: string) => void;
        row: Record<string, unknown> | undefined;
        hideEdit: () => void;
        setTrueFlag: () => void;
    }): any;
    view(props: {
        value: unknown;
        view: string;
        row: Record<string, unknown> | undefined;
        setTrueFlag: () => void;
    }): any;
}> & {
    edit(props: {
        value: unknown;
        update: (value: unknown) => void;
        isChangeAllowed: boolean;
        toggle: () => void;
        customChange: (value: string, view?: string) => void;
        row: Record<string, unknown> | undefined;
        hideEdit: () => void;
        setTrueFlag: () => void;
    }): any;
    view(props: {
        value: unknown;
        view: string;
        row: Record<string, unknown> | undefined;
        setTrueFlag: () => void;
    }): any;
};
declare const __VLS_component: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToOption<Props>, {
    editable: boolean;
    valueType: string;
    borderTop: boolean;
    inEditMode: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    beforeEdit: (value: unknown) => void;
    afterEdit: (value: unknown) => void;
    beforeChange: (value: unknown) => void;
    afterChange: (value: unknown) => void;
    updated: () => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToOption<Props>, {
    editable: boolean;
    valueType: string;
    borderTop: boolean;
    inEditMode: boolean;
}>>> & {
    onUpdated?: (() => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
    onAfterChange?: ((value: unknown) => any) | undefined;
    onBeforeEdit?: ((value: unknown) => any) | undefined;
    onAfterEdit?: ((value: unknown) => any) | undefined;
    onBeforeChange?: ((value: unknown) => any) | undefined;
}, {
    editable: boolean | ((row: Record<string, unknown>) => boolean);
    valueType: string;
    borderTop: boolean;
    inEditMode: boolean;
}, {}>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
