import { CommonProps } from '@/common/types/props';
import { Value } from '@/common/types/select';
export interface Props extends CommonProps {
    options: string[] | undefined;
    modelValue: Value[] | null;
    inline?: boolean;
    titleField?: string;
    valueField?: string;
    height?: string;
    withUndefined?: boolean;
    withNull?: boolean;
    menuHeight?: string;
    nullTitle?: string;
    disabled?: boolean;
    focusOnMount?: boolean;
    distinct?: boolean;
    placeholder?: string;
    isPlaceholderSeenWithValues?: boolean;
    keysToEnterValue?: string[];
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToOption<Props>, {
    inline: boolean;
    titleField: string;
    valueField: string;
    menuHeight: string;
    height: string;
    disabled: boolean;
    nullTitle: string;
    focusOnMount: boolean;
    distinct: boolean;
    placeholder: string;
    isPlaceholderSeenWithValues: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    "update:modelValue": (value: Value[]) => void;
    "model-value-updated": (value: Value[]) => void;
    focusin: () => void;
    focusout: () => void;
    keydown: (event: KeyboardEvent) => void;
    search: (query: string) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToOption<Props>, {
    inline: boolean;
    titleField: string;
    valueField: string;
    menuHeight: string;
    height: string;
    disabled: boolean;
    nullTitle: string;
    focusOnMount: boolean;
    distinct: boolean;
    placeholder: string;
    isPlaceholderSeenWithValues: boolean;
}>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onKeydown?: ((event: KeyboardEvent) => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    "onModel-value-updated"?: ((value: Value[]) => any) | undefined;
    "onUpdate:modelValue"?: ((value: Value[]) => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
    onSearch?: ((query: string) => any) | undefined;
}, {
    placeholder: string;
    focusOnMount: boolean;
    nullTitle: string;
    distinct: boolean;
    disabled: boolean;
    titleField: string;
    valueField: string;
    menuHeight: string;
    height: string;
    inline: boolean;
    isPlaceholderSeenWithValues: boolean;
}, {}>;
export default _default;
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
